import Signal from "../../../../../../../core/events/signal/Signal";
import {ParameterLookupTable} from "../../parameter/ParameterLookupTable";

export class AttributeValue {
    readonly onValueChange: Signal<void>

    lookup: (ParameterLookupTable | null)

    write_lookup_value(v: number): void

    public lookup_value: number

    write_value(v: number[]): void

    read_value(destination: number[])
}
